{ ... }:

{
  services.syncthing = {
    enable = true;
    user = "xeovalyte";
    dataDir = "/home/xeovalyte";
    overrideDevices = true;
    overrideFolders = true;
    openDefaultPorts = true;
    settings = {
      devices = {
        "xv-server" = {
          id = "DYBGKGM-I7JM6NG-EV7EGYY-NZL5WCG-CSDSJCJ-B4Q7AOP-5YVQYAZ-ETLQWA5";
          addresses = [
            "dynamic"
            "tcp://ddns.xeovalyte.com:22000"
            "quick://ddns.xeovalyte.com:22000"
          ];
        };
      };
      folders = {
        "xeovalyte-documents" = {
          path = "/home/xeovalyte/Documents";
          devices = [ "xv-server" ];
        };
        "xeovalyte-logseq" = {
          path = "/home/xeovalyte/Logseq";
          devices = [ "xv-server" ];
        };
      };
    };
  };
}
