{ pkgs, ... }:

{
  home.packages = with pkgs; [
    hyprpaper
  ];

  # https://wallhaven.cc/w/4veopp

  home.file.".config/hypr/hyprpaper.conf" = {
    enable = true;
    executable = false;
    text =''
      preload = ~/Pictures/wallpaper.png

      wallpaper = ,~/Pictures/wallpaper.png
      ipc = off
    '';
  };
}
